> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# List API volume summary records

GET https://rest.test.zuora.com/system-health/api-requests/volume-summary

Returns volume summary of [API](https://knowledgecenter.zuora.com/Central_Platform/API) usage that generated by your Zuora tenant within a specified time range.

You can filter the summary by API path name and http method.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/system-health/api-health/get-system-health-api-volume-summary

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Query parameters

- `path` (string, optional) — Filters the volume summary by API path name. You can refer to the api listed in the [API System Health Dashboard](https://knowledgecenter.zuora.com/Zuora_Central_Platform/Zuora_System_Health/B_APIs_dashboard) for the path name. Example: `/v1/accounts/{account-key}`.
- `httpMethod` (string, optional) — Filters the volume summary by http method. Example: `POST`.
- `startTime` (datetime, required) — Start time of the volume summary. Format: `yyyy-MM-dd'T'HH:mmZ` Example: `2022-09-22T09:07+0800`.
- `endTime` (datetime, required) — End time of the volume summary. Format: `yyyy-MM-dd'T'HH:mmZ` Example: `2022-09-29T09:07+0800`.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

## Response

### 200

OK

- `data` (list of ApiVolumeSummaryRecord, optional) — List of API volume summary records. The records are grouped and ordered by API path name and http method.

## Errors

### 400 Bad Request Error

Bad Request

- `error` (string, optional) — Error status text.
- `message` (string, optional) — The associated reason.
- `path` (string, optional) — The system health api path having error.
- `status` (integer, optional) — Error status code.
- `timestamp` (datetime, optional) — The time when error happens.

## Types

### ApiVolumeSummaryRecord

A volume summary record.

- `api` (string, optional) — The API path name.
- `error` (integer, optional) — The count of failed API requests of above `api` and `httpMethod`.
- `httpMethod` (string, optional) — The http method.
- `success` (integer, optional) — The count of successful API requests of above `api` and `httpMethod`.
- `total` (integer, optional) — The count of total API requests of above `api` and `httpMethod`.

## Examples

**Response**

```json
{
  "data": [
    {
      "error": 0,
      "httpMethod": "DELETE",
      "success": 10,
      "total": 10,
      "path": "/notifications/notification-definitions"
    },
    {
      "error": 20,
      "httpMethod": "GET",
      "success": 10,
      "total": 30,
      "path": "/query/jobs/{job-id}"
    },
    {}
  ]
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/system-health/api-requests/volume-summary"

querystring = {"endTime":"endTime","startTime":"startTime"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/system-health/api-requests/volume-summary?endTime=endTime&startTime=startTime';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/system-health/api-requests/volume-summary?endTime=endTime&startTime=startTime"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/system-health/api-requests/volume-summary?endTime=endTime&startTime=startTime")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/system-health/api-requests/volume-summary?endTime=endTime&startTime=startTime")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/system-health/api-requests/volume-summary?endTime=endTime&startTime=startTime', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/system-health/api-requests/volume-summary?endTime=endTime&startTime=startTime");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/system-health/api-requests/volume-summary?endTime=endTime&startTime=startTime")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```